Package org.apache.sling.launchpad.base.impl

# Class ClassLoaderResourceProvider

java.lang.Object
org.apache.sling.launchpad.base.impl.ClassLoaderResourceProvider

All Implemented Interfaces:
  `org.apache.sling.launchpad.api.LaunchpadContentProvider`

public class ClassLoaderResourceProvider extends Object implements org.apache.sling.launchpad.api.LaunchpadContentProvider
The `ClassLoaderResourceProvider`

## Constructor Summary

Constructors
Constructor
Description
`ClassLoaderResourceProvider(ClassLoader classLoader)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<String>`
`getChildren(String path)`
`URL`
`getResource(String path)`
`InputStream`
`getResourceAsStream(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassLoaderResourceProvider

public ClassLoaderResourceProvider(ClassLoader classLoader)

## Method Details

### getChildren

public Iterator<String> getChildren(String path)

Specified by:
  `getChildren` in interface `org.apache.sling.launchpad.api.LaunchpadContentProvider`

### getResource

public URL getResource(String path)

Specified by:
  `getResource` in interface `org.apache.sling.launchpad.api.LaunchpadContentProvider`

### getResourceAsStream

public InputStream getResourceAsStream(String path)

Specified by:
  `getResourceAsStream` in interface `org.apache.sling.launchpad.api.LaunchpadContentProvider`